Package org.jbpm.services.task.query

## Class TaskSummaryImpl

- java.lang.Object
- - org.jbpm.services.task.query.TaskSummaryImpl

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.task.model.QuickTaskSummary`, `org.kie.api.task.model.TaskSummary`, `org.kie.internal.task.api.model.InternalTaskSummary`

      public class TaskSummaryImpl
      extends Object
      implements org.kie.internal.task.api.model.InternalTaskSummary

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskSummaryImpl()` |
    `TaskSummaryImpl​(long id, String name, String subject, String description, org.kie.api.task.model.Status status, int priority, boolean skipable, String actualOwnerId, String createdById, Date createdOn, Date activationTime, Date expirationTime, String processId, long processSessionId, long processInstanceId, String deploymentId, org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy, long parentId)` |
    `TaskSummaryImpl​(long id, String name, String subject, String description, org.kie.api.task.model.Status status, int priority, boolean skipable, org.kie.api.task.model.User actualOwner, org.kie.api.task.model.User createdBy, Date createdOn, Date activationTime, Date expirationTime, String processId, long processSessionId, long processInstanceId, String deploymentId, org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy, long parentId)` |
    `TaskSummaryImpl​(long id, String name, String subject, String description, org.kie.api.task.model.Status status, int priority, String actualOwner, String createdBy, Date createdOn, Date activationTime, Date expirationTime, String processId, long processInstanceId, long parentId, String deploymentId, boolean skipable)` |
    `TaskSummaryImpl​(long id, String name, String subject, String description, org.kie.api.task.model.Status status, int priority, String actualOwner, String createdBy, Date createdOn, Date activationTime, Date expirationTime, String processId, long processInstanceId, long parentId, String deploymentId, boolean skipable, String correlationKey, Integer processType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `Date` | `getActivationTime()` |
    `org.kie.api.task.model.User` | `getActualOwner()` |
    `String` | `getActualOwnerId()` |
    `String` | `getCorrelationKey()` |
    `org.kie.api.task.model.User` | `getCreatedBy()` |
    `String` | `getCreatedById()` |
    `Date` | `getCreatedOn()` |
    `String` | `getDeploymentId()` |
    `String` | `getDescription()` |
    `Date` | `getExpirationTime()` |
    `Long` | `getId()` |
    `String` | `getName()` |
    `Long` | `getParentId()` |
    `List<String>` | `getPotentialOwners()` | Deprecated.
    `Integer` | `getPriority()` |
    `String` | `getProcessId()` |
    `Long` | `getProcessInstanceId()` |
    `Long` | `getProcessSessionId()` |
    `Integer` | `getProcessType()` |
    `org.kie.api.task.model.Status` | `getStatus()` |
    `String` | `getStatusId()` |
    `String` | `getSubject()` |
    `org.kie.internal.task.api.model.SubTasksStrategy` | `getSubTaskStrategy()` |
    `int` | `hashCode()` |
    `Boolean` | `isQuickTaskSummary()` |
    `Boolean` | `isSkipable()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setActivationTime​(Date activationTime)` |
    `void` | `setActualOwner​(org.kie.api.task.model.User actualOwner)` |
    `void` | `setCreatedBy​(org.kie.api.task.model.User createdBy)` |
    `void` | `setCreatedOn​(Date createdOn)` |
    `void` | `setDescription​(String description)` |
    `void` | `setExpirationTime​(Date expirationTime)` |
    `void` | `setId​(long id)` |
    `void` | `setName​(String name)` |
    `void` | `setParentId​(long parentId)` |
    `void` | `setPotentialOwners​(List<String> potentialOwners)` | Deprecated.
    `void` | `setPriority​(int priority)` |
    `void` | `setProcessId​(String processId)` |
    `void` | `setProcessInstanceId​(long processInstanceId)` |
    `void` | `setProcessSessionId​(long processSessionId)` |
    `void` | `setSkipable​(boolean skipable)` |
    `void` | `setStatus​(org.kie.api.task.model.Status status)` |
    `void` | `setSubject​(String subject)` |
    `void` | `setSubTaskStrategy​(org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy)` |
    `String` | `toString()` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskSummaryImpl

          public TaskSummaryImpl​(long id,
                                 String name,
                                 String subject,
                                 String description,
                                 org.kie.api.task.model.Status status,
                                 int priority,
                                 boolean skipable,
                                 org.kie.api.task.model.User actualOwner,
                                 org.kie.api.task.model.User createdBy,
                                 Date createdOn,
                                 Date activationTime,
                                 Date expirationTime,
                                 String processId,
                                 long processSessionId,
                                 long processInstanceId,
                                 String deploymentId,
                                 org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy,
                                 long parentId)

    - #### TaskSummaryImpl

          public TaskSummaryImpl​(long id,
                                 String name,
                                 String subject,
                                 String description,
                                 org.kie.api.task.model.Status status,
                                 int priority,
                                 boolean skipable,
                                 String actualOwnerId,
                                 String createdById,
                                 Date createdOn,
                                 Date activationTime,
                                 Date expirationTime,
                                 String processId,
                                 long processSessionId,
                                 long processInstanceId,
                                 String deploymentId,
                                 org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy,
                                 long parentId)

    - #### TaskSummaryImpl

          public TaskSummaryImpl​(long id,
                                 String name,
                                 String subject,
                                 String description,
                                 org.kie.api.task.model.Status status,
                                 int priority,
                                 String actualOwner,
                                 String createdBy,
                                 Date createdOn,
                                 Date activationTime,
                                 Date expirationTime,
                                 String processId,
                                 long processInstanceId,
                                 long parentId,
                                 String deploymentId,
                                 boolean skipable)

    - #### TaskSummaryImpl

          public TaskSummaryImpl​(long id,
                                 String name,
                                 String subject,
                                 String description,
                                 org.kie.api.task.model.Status status,
                                 int priority,
                                 String actualOwner,
                                 String createdBy,
                                 Date createdOn,
                                 Date activationTime,
                                 Date expirationTime,
                                 String processId,
                                 long processInstanceId,
                                 long parentId,
                                 String deploymentId,
                                 boolean skipable,
                                 String correlationKey,
                                 Integer processType)

    - #### TaskSummaryImpl

          public TaskSummaryImpl()

  - ### Method Detail

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### setId

          public void setId​(long id)

      Specified by:
        `setId` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### setProcessInstanceId

          public void setProcessInstanceId​(long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### setName

          public void setName​(String name)

      Specified by:
        `setName` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getSubject

          public String getSubject()

      Specified by:
        `getSubject` in interface `org.kie.api.task.model.TaskSummary`

    - #### setSubject

          public void setSubject​(String subject)

      Specified by:
        `setSubject` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `org.kie.api.task.model.TaskSummary`

    - #### setDescription

          public void setDescription​(String description)

      Specified by:
        `setDescription` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getStatus

          public org.kie.api.task.model.Status getStatus()

      Specified by:
        `getStatus` in interface `org.kie.api.task.model.TaskSummary`

    - #### setStatus

          public void setStatus​(org.kie.api.task.model.Status status)

      Specified by:
        `setStatus` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getPriority

          public Integer getPriority()

      Specified by:
        `getPriority` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### setPriority

          public void setPriority​(int priority)

      Specified by:
        `setPriority` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### isSkipable

          public Boolean isSkipable()

      Specified by:
        `isSkipable` in interface `org.kie.api.task.model.TaskSummary`

    - #### setSkipable

          public void setSkipable​(boolean skipable)

      Specified by:
        `setSkipable` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getActualOwner

          public org.kie.api.task.model.User getActualOwner()

      Specified by:
        `getActualOwner` in interface `org.kie.api.task.model.TaskSummary`

    - #### setActualOwner

          public void setActualOwner​(org.kie.api.task.model.User actualOwner)

      Specified by:
        `setActualOwner` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getCreatedBy

          public org.kie.api.task.model.User getCreatedBy()

      Specified by:
        `getCreatedBy` in interface `org.kie.api.task.model.TaskSummary`

    - #### setCreatedBy

          public void setCreatedBy​(org.kie.api.task.model.User createdBy)

      Specified by:
        `setCreatedBy` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getCreatedOn

          public Date getCreatedOn()

      Specified by:
        `getCreatedOn` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### setCreatedOn

          public void setCreatedOn​(Date createdOn)

      Specified by:
        `setCreatedOn` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getActivationTime

          public Date getActivationTime()

      Specified by:
        `getActivationTime` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### setActivationTime

          public void setActivationTime​(Date activationTime)

      Specified by:
        `setActivationTime` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getExpirationTime

          public Date getExpirationTime()

      Specified by:
        `getExpirationTime` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### setExpirationTime

          public void setExpirationTime​(Date expirationTime)

      Specified by:
        `setExpirationTime` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getProcessId

          public String getProcessId()

      Specified by:
        `getProcessId` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### setProcessId

          public void setProcessId​(String processId)

      Specified by:
        `setProcessId` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getProcessSessionId

          public Long getProcessSessionId()

      Specified by:
        `getProcessSessionId` in interface `org.kie.api.task.model.TaskSummary`

    - #### setProcessSessionId

          public void setProcessSessionId​(long processSessionId)

      Specified by:
        `setProcessSessionId` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getSubTaskStrategy

          public org.kie.internal.task.api.model.SubTasksStrategy getSubTaskStrategy()

      Specified by:
        `getSubTaskStrategy` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### setSubTaskStrategy

          public void setSubTaskStrategy​(org.kie.internal.task.api.model.SubTasksStrategy subTaskStrategy)

      Specified by:
        `setSubTaskStrategy` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getParentId

          public Long getParentId()

      Specified by:
        `getParentId` in interface `org.kie.internal.task.api.model.InternalTaskSummary`
      Specified by:
        `getParentId` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### setParentId

          public void setParentId​(long parentId)

      Specified by:
        `setParentId` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### getPotentialOwners

          @Deprecated
          public List<String> getPotentialOwners()

      Deprecated.
      Specified by:
        `getPotentialOwners` in interface `org.kie.api.task.model.TaskSummary`

    - #### setPotentialOwners

          @Deprecated
          public void setPotentialOwners​(List<String> potentialOwners)

      Deprecated.
      Specified by:
        `setPotentialOwners` in interface `org.kie.internal.task.api.model.InternalTaskSummary`

    - #### isQuickTaskSummary

          public Boolean isQuickTaskSummary()

      Specified by:
        `isQuickTaskSummary` in interface `org.kie.api.task.model.TaskSummary`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getStatusId

          public String getStatusId()

      Specified by:
        `getStatusId` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### getActualOwnerId

          public String getActualOwnerId()

      Specified by:
        `getActualOwnerId` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### getCreatedById

          public String getCreatedById()

      Specified by:
        `getCreatedById` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### getDeploymentId

          public String getDeploymentId()

      Specified by:
        `getDeploymentId` in interface `org.kie.api.task.model.QuickTaskSummary`

    - #### getCorrelationKey

          public String getCorrelationKey()

      Specified by:
        `getCorrelationKey` in interface `org.kie.api.task.model.TaskSummary`

    - #### getProcessType

          public Integer getProcessType()

      Specified by:
        `getProcessType` in interface `org.kie.api.task.model.TaskSummary`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`